module Debate.Types exposing (..)


type alias ArgumentCategory =
    { categoryName : String
    , arguments : List Argument
    }


type alias Argument =
    { argumentTitle : String
    , propositionTitle : String
    , propositionSummary : String
    , propositionReductio : String
    , proofLink : String
    , proofText : String
    , definitionTable : List Definition
    , argumentFormalization : List ArgumentEntry
    }


type alias ArgumentEntry =
    { premises : List PremiseWithNotation
    , conclusion : String
    , conclusionNotation : String
    }


type alias PremiseWithNotation =
    { premise : String
    , notation : String
    }


type alias Definition =
    { definiendum : String
    , definiens : String
    }


type alias ArgumentStructure =
    { notationP1 : String
    , notationP2 : String
    , notationP3 : String
    , notationP4 : String
    , notationP5 : String
    , notationP6 : String
    , notationP7 : String
    , notationP8 : String
    , notationP9 : String
    , notationP10 : String
    , notationC : String
    }
